View Issue Details

IDCategoryLast Update
0002766bugs2010-04-24 10:31
ReporterrobschAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in VersionSVN/2.0-ongoing 
Summary0002766: [PATCH] First meter change - dialogue not working properly
Description when I try to change the very first meter-marker (at position 0:00), and modify only the numerator, the OK-Button remains unklickable. Only after changing the denomiator the button becomes clickable
TagsNo tags attached.

Activities

robsch

2009-07-05 21:07

reporter   ~0006355

More useful info:

SVN Revision: 5330

uname -a: Linux jupiter 2.6.27-gentoo-r8 0000016 SMP PREEMPT Fri Jun 12 15:25:50 CEST 2009 x86_64 Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz GenuineIntel GNU/Linux

nettings

2009-08-15 03:02

manager   ~0006544

still present as of r5499

2009-08-15 09:57

 

meterdialogue.patch (394 bytes)
Index: gtk2_ardour/tempo_dialog.cc
===================================================================
--- gtk2_ardour/tempo_dialog.cc	(Revision 5516)
+++ gtk2_ardour/tempo_dialog.cc	(Arbeitskopie)
@@ -349,6 +349,8 @@
 		when_frame.add (*when_hbox);
 		
 		get_vbox()->pack_end (when_frame, false, false);
+	} else {
+		when_bar_entry.set_text ("0");
 	}
 
 	get_vbox()->set_border_width (12);
meterdialogue.patch (394 bytes)

robsch

2009-08-15 09:59

reporter   ~0006547

Patch added. The dialogue tried to check for a valid value in the "position" field, even if the field was not displayed (movable=0).

nettings

2009-08-15 10:31

manager   ~0006548

this patch cleanly applies to r5499 and solves the issue for me. please review.

cth103

2009-08-20 21:21

administrator   ~0006578

This has been applied to 3.0. Thanks!

cth103

2009-08-22 13:36

administrator   ~0006586

Now applied to 2.0-ongoing as well.

Issue History

Date Modified Username Field Change
2009-07-05 20:55 robsch New Issue
2009-07-05 20:59 seablade Status new => acknowledged
2009-07-05 21:07 robsch Note Added: 0006355
2009-08-15 03:02 nettings Note Added: 0006544
2009-08-15 03:02 nettings Status acknowledged => confirmed
2009-08-15 09:57 robsch File Added: meterdialogue.patch
2009-08-15 09:59 robsch Note Added: 0006547
2009-08-15 10:31 nettings cost => 0.00
2009-08-15 10:31 nettings Note Added: 0006548
2009-08-15 10:31 nettings Assigned To => paul
2009-08-15 10:31 nettings Status confirmed => assigned
2009-08-15 10:31 nettings Summary First meter change - dialogue not working properly => [PATCH] First meter change - dialogue not working properly
2009-08-20 21:21 cth103 Note Added: 0006578
2009-08-22 13:36 cth103 Note Added: 0006586
2009-08-22 13:36 cth103 Status assigned => resolved
2009-08-22 13:36 cth103 Fixed in Version => SVN/2.0-ongoing
2009-08-22 13:36 cth103 Resolution open => fixed
2010-04-24 10:28 cth103 Category bugs => bugs2
2010-04-24 10:31 cth103 Category bugs2 => bugs